//I think PSPSDK already has SHA1 code in it; this can probably be gutted/reworked.

#ifndef _SHA1_H_
#define _SHA1_H_

typedef struct SHA1Context
{
    unsigned int Message_Digest[5];
    unsigned int Length_Low;
    unsigned int Length_High;
    unsigned char Message_Block[64];
    int Message_Block_Index;
    int Computed;
    int Corrupted;
} SHA1Context;

SHA1Context _context;
void HMACInit(const unsigned char* key);
void HMACAddBytes(unsigned char* buffer, unsigned int length);
void HMACDone(unsigned char* result);

void SHA1Reset(SHA1Context *);
int SHA1Result(SHA1Context *);
void SHA1Input( SHA1Context *,
                const unsigned char *,
                unsigned int);

#endif
	